Patch Context Document
curl --request PATCH \
--url https://api.example.com/v1/context-documents/{doc_uuid} \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"document_type": "<string>",
"is_global": true,
"description": "<string>",
"content": "<string>",
"tags": [
"<string>"
],
"targeting_rules": {}
}
'import requests
url = "https://api.example.com/v1/context-documents/{doc_uuid}"
payload = {
"title": "<string>",
"document_type": "<string>",
"is_global": True,
"description": "<string>",
"content": "<string>",
"tags": ["<string>"],
"targeting_rules": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
document_type: '<string>',
is_global: true,
description: '<string>',
content: '<string>',
tags: ['<string>'],
targeting_rules: {}
})
};
fetch('https://api.example.com/v1/context-documents/{doc_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"document_type": "<string>",
"is_global": true,
"description": "<string>",
"tags": [
"<string>"
],
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"content": "<string>",
"targeting_rules": {}
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Context Documents
Update Context Document
PATCH
/
v1
/
context-documents
/
{doc_uuid}
Patch Context Document
Path Parameters
Body
application/json
⌘I

